Subject: Re: Kernel locked at "Now booting the kernel", Xilinx ML310 PPC405GP

From: Mike Dyer <[email-masked]>
Date: Mon, 12 Mar 2007 13:42:04 +0000

Hi Kunal,

Apologies if I post this twice - our mail server is unreliable atm...
> <snip>
> I used crosstool with gcc 4.1.1 w/glibc 2.3.6. My xparameters_ml300.h
> and .config files are pasted below.
>
> The problem:
> The kernel panics after printing out the message "Now booting the
> kernel" The exact output is this:
>
> loaded at:     00400000 0089C1E4
> board data at: 00000000 00000018
> relocated to:  00405238 00405250
> zimage at:     00405BD3 004AFDF5
> initrd at:     004B0000 00898382
> avail ram:     0089D000 55555555
>
> Linux/PPC load: root=/dev/ram
> Uncompressing Linux...done.
> Now booting the kernel
>
>
>   
I had the exact same problem for a different board, using the PPC in a 
Virtex 4 FX12, using the 2.6 kernel.  I fixed this by rolling the 
compiler back to version 4.0.2.  Didn't do a lot of thinking about why 
it worked, but I think it has something to do with the linker and your 
board data (it randomly changed location every time I tried to boot).  I 
believe it should be in the 0x00400000 range as well (not 0x00 as it is 
in your capture).

As a side note: Are there any known issues using GCC 4.1.1?

Cheers,
Mike